﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
    <LangVersion>latest</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <Optimize>false</Optimize>
    <OutputPath>bin\x86\Release</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectTypeGuids>{82b43b9b-a64c-4715-b499-d71e9ca2bd60};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <ProjectGuid>{AD9B63F7-54F0-4F74-8202-75CF2398BED6}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>WindowsPerfGUI</RootNamespace>
    <AssemblyName>WindowsPerfGUI</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <GeneratePkgDefFile>true</GeneratePkgDefFile>
    <UseCodebase>true</UseCodebase>
    <IncludeAssemblyInVSIXContainer>true</IncludeAssemblyInVSIXContainer>
    <IncludeDebugSymbolsInVSIXContainer>true</IncludeDebugSymbolsInVSIXContainer>
    <IncludeDebugSymbolsInLocalVSIXDeployment>false</IncludeDebugSymbolsInLocalVSIXDeployment>
    <CopyBuildOutputToOutputDirectory>true</CopyBuildOutputToOutputDirectory>
    <CopyOutputSymbolsToOutputDirectory>true</CopyOutputSymbolsToOutputDirectory>
    <StartAction>Program</StartAction>
    <StartProgram Condition="'$(DevEnvDir)' != ''">$(DevEnvDir)devenv.exe</StartProgram>
    <StartArguments>/rootsuffix Exp</StartArguments>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="Commands\SamplingExplorerCommand.cs" />
    <Compile Include="Commands\CountingSettingsCommand.cs" />
    <Compile Include="Commands\WperfManCommand.cs" />
    <Compile Include="Commands\WperfHostData.cs" />
    <Compile Include="Components\ButtonGrid.xaml.cs">
      <DependentUpon>ButtonGrid.xaml</DependentUpon>
    </Compile>
    <Compile Include="Components\CustomButtonControl.cs" />
    <Compile Include="Components\CustomComboBoxControl.cs" />
    <Compile Include="Components\CustomMonikerButtonControl.cs" />
    <Compile Include="Components\CustomRadioButtonControl.cs" />
    <Compile Include="Components\CustomTextBoxControl.cs" />
    <Compile Include="Components\FilePicker.xaml.cs">
      <DependentUpon>FilePicker.xaml</DependentUpon>
    </Compile>
    <Compile Include="Components\FilterableComboBox.cs" />
    <Compile Include="Components\TreeListView\Converters.cs" />
    <Compile Include="Components\TreeListView\ITreeModel.cs" />
    <Compile Include="Components\TreeListView\ObservableCollectionTreeList.cs" />
    <Compile Include="Components\TreeListView\RowExpander.cs" />
    <Compile Include="Components\TreeListView\TreeList.cs" />
    <Compile Include="Components\TreeListView\TreeListItem.cs" />
    <Compile Include="Components\TreeListView\TreeNode.cs" />
    <Compile Include="Options\SamplingManager.cs" />
    <Compile Include="Options\WPAOptions.xaml.cs">
      <DependentUpon>WPAOptions.xaml</DependentUpon>
    </Compile>
    <Compile Include="Options\WPAOptionsPage.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Resources\Locals\CountingSettingsLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>CountingSettingsLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Locals\ErrorLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>ErrorLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Locals\MainLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>MainLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Locals\OptionsPageLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>OptionsPageLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Locals\SamplingExplorerLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SamplingExplorerLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Locals\SamplingSettingsLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SamplingSettingsLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Locals\WperfHostDataLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>WperfHostDataLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Locals\WperfManLanguagePack.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>WperfManLanguagePack.resx</DependentUpon>
    </Compile>
    <Compile Include="SDK\WperfOutputs\WperfCounting.cs" />
    <Compile Include="SDK\WperfOutputs\WperfManOutput.cs" />
    <Compile Include="SDK\WperfOutputs\WperfSPE.cs" />
    <Compile Include="ToolWindows\CountingSetting\CountingEvent.cs" />
    <Compile Include="SDK\WperfOutputs\WperfTimeline.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\LineHighlighting\HighlighterDict.cs" />
    <Compile Include="ToolWindows\CountingSetting\CountingSettingDialog.xaml.cs">
      <DependentUpon>CountingSettingDialog.xaml</DependentUpon>
    </Compile>
    <Compile Include="ToolWindows\CountingSetting\CountingSettings.cs" />
    <Compile Include="ToolWindows\CountingSetting\CountingSettingsForm.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\SyntaxHighlighting\Rules.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\SyntaxHighlighting\SyntaxHighlighter.cs" />
    <Compile Include="ToolWindows\SamplingSetting\SolutionProjectOutput.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\LineHighlighting\ColorGenerator.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\LineHighlighting\LineHighlighter.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\LineHighlighting\LineHighlighterTextViewCreationListener.cs" />
    <Compile Include="ToolWindows\WperfManDialog.xaml.cs">
      <DependentUpon>WperfManDialog.xaml</DependentUpon>
    </Compile>
    <Compile Include="Utils\CommandBuilder\CommandSettings.cs" />
    <Compile Include="Utils\CommandBuilder\CommandSettingsForm.cs" />
    <Compile Include="Utils\Converters\InverseBooleanConverter.cs" />
    <Compile Include="Utils\Converters\BooleanToVisibilityConverter.cs" />
    <Compile Include="Utils\Converters\StringlNullOrEmptyToVisibilityConverter.cs" />
    <Compile Include="Utils\JsonTypeChecker.cs" />
    <Compile Include="Utils\VisualTreeHelpers.cs" />
    <Compile Include="Utils\WperfDefaults.cs" />
    <Compile Include="Utils\Converters\BooleanToLinkCursor.cs" />
    <Compile Include="Utils\Converters\BooleanToLinkTextDecoration.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\FormattedSamplingResults.cs" />
    <Compile Include="Utils\Converters\BooleanToLinkColor.cs" />
    <Compile Include="Utils\Converters\NegativeIntToDisabledConverter.cs" />
    <Compile Include="Utils\Converters\EmptyStringToDisabledConverter.cs" />
    <Compile Include="Utils\Converters\NullToDisabledConverter.cs" />
    <Compile Include="Utils\Converters\NullToVisibilityConverter.cs" />
    <Compile Include="Utils\ListSearcher\ListSearcher.cs" />
    <Compile Include="Utils\NotifyPropertyChangedImplementor.cs" />
    <Compile Include="Options\WPerfPath.xaml.cs">
      <DependentUpon>WPerfPath.xaml</DependentUpon>
    </Compile>
    <Compile Include="Options\WPerfPathPage.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="SDK\WperfClientFactory.cs" />
    <Compile Include="Options\WPerfOptions.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Commands\MyToolWindowCommand.cs" />
    <Compile Include="SDK\WperfOutputs\JsonSettings.cs" />
    <Compile Include="SDK\WperfOutputs\WperfList.cs" />
    <Compile Include="SDK\WperfOutputs\WperfSampling.cs" />
    <Compile Include="SDK\WperfOutputs\WperfTest.cs" />
    <Compile Include="SDK\WperfOutputs\WperfVersion.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\SamplingExplorer.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\SamplingExplorerControl.xaml.cs">
      <DependentUpon>SamplingExplorerControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="ToolWindows\SamplingSetting\SamplingSettingDialog.xaml.cs">
      <DependentUpon>SamplingSettingDialog.xaml</DependentUpon>
    </Compile>
    <Compile Include="ToolWindows\WperfHostDataDialog.xaml.cs">
      <DependentUpon>WperfHostDataDialog.xaml</DependentUpon>
    </Compile>
    <Compile Include="ToolWindows\SamplingSetting\CpuCores.cs" />
    <Compile Include="ToolWindows\SamplingExplorer\SamplingSection.cs" />
    <Compile Include="ToolWindows\SamplingSetting\SamplingFrequency.cs" />
    <Compile Include="ToolWindows\SamplingSetting\SamplingSettings.cs" />
    <Compile Include="ToolWindows\SamplingSetting\SamplingSettingsForm.cs" />
    <Compile Include="Utils\SDK\OutputHandler.cs" />
    <Compile Include="Utils\SDK\ProcessRunner.cs" />
    <Compile Include="SDK\WperfClient.cs" />
    <Compile Include="WindowsPerfGUIPackage.cs" />
    <Compile Include="source.extension.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>source.extension.vsixmanifest</DependentUpon>
    </Compile>
    <Compile Include="VSCommandTable.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>VSCommandTable.vsct</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Resources\icon.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <IncludeInVSIX>true</IncludeInVSIX>
    </Content>
    <Content Include="Resources\preview.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <IncludeInVSIX>true</IncludeInVSIX>
    </Content>
    <EmbeddedResource Include="Resources\Locals\WperfManLanguagePack.fr-FR.resx" />
    <EmbeddedResource Include="Resources\Locals\WperfManLanguagePack.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>WperfManLanguagePack.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include=".editorconfig" />
    <EmbeddedResource Include="Resources\Locals\CountingSettingsLanguagePack.fr-FR.resx" />
    <EmbeddedResource Include="Resources\Locals\CountingSettingsLanguagePack.pl.resx" />
    <EmbeddedResource Include="Resources\Locals\CountingSettingsLanguagePack.pt-BR.resx" />
    <EmbeddedResource Include="Resources\Locals\CountingSettingsLanguagePack.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>CountingSettingsLanguagePack.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\ErrorLanguagePack.pl.resx" />
    <EmbeddedResource Include="Resources\Locals\ErrorLanguagePack.pt-BR.resx" />
    <EmbeddedResource Include="Resources\Locals\MainLanguagePack.pl.resx" />
    <EmbeddedResource Include="Resources\Locals\MainLanguagePack.pt-BR.resx" />
    <EmbeddedResource Include="Resources\Locals\OptionsPageLanguagePack.fr-FR.resx" />
    <EmbeddedResource Include="Resources\Locals\OptionsPageLanguagePack.pl.resx" />
    <EmbeddedResource Include="Resources\Locals\OptionsPageLanguagePack.pt-BR.resx" />
    <EmbeddedResource Include="Resources\Locals\OptionsPageLanguagePack.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>OptionsPageLanguagePack.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\SamplingExplorerLanguagePack.fr-FR.resx">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <None Include="source.extension.vsixmanifest">
      <SubType>Designer</SubType>
      <Generator>VsixManifestGenerator</Generator>
      <LastGenOutput>source.extension.cs</LastGenOutput>
    </None>
    <Content Include="LICENSE.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <IncludeInVSIX>true</IncludeInVSIX>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <VSCTCompile Include="VSCommandTable.vsct">
      <ResourceName>Menus.ctmenu</ResourceName>
      <Generator>VsctGenerator</Generator>
      <LastGenOutput>VSCommandTable.cs</LastGenOutput>
    </VSCTCompile>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ToolWindows\MyToolWindow.cs" />
    <Page Include="Components\ButtonGrid.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Components\FilePicker.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Options\WPAOptions.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Options\WPerfPath.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Themes\Generic.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ToolWindows\MyToolWindowControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Compile Include="ToolWindows\MyToolWindowControl.xaml.cs">
      <DependentUpon>MyToolWindowControl.xaml</DependentUpon>
    </Compile>
    <Page Include="ToolWindows\SamplingExplorer\SamplingExplorerControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ToolWindows\CountingSetting\CountingSettingDialog.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ToolWindows\SamplingSetting\SamplingSettingDialog.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ToolWindows\WperfManDialog.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ToolWindows\WperfHostDataDialog.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.Build" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="PresentationFramework.Aero2" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Management" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Xml.Serialization" />
    <Reference Include="WindowsBase" />
    <Reference Include="System.ComponentModel.Composition" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="CliWrap">
      <Version>3.6.7</Version>
    </PackageReference>
    <PackageReference Include="Community.VisualStudio.VSCT" Version="16.0.29.6" PrivateAssets="all" />
    <PackageReference Include="Community.VisualStudio.Toolkit.17" Version="17.0.527" ExcludeAssets="Runtime">
      <IncludeAssets>compile; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VSSDK.BuildTools" Version="17.12.2069">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resources\Locals\ErrorLanguagePack.fr-FR.resx">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\ErrorLanguagePack.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>ErrorLanguagePack.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\MainLanguagePack.fr-FR.resx">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\MainLanguagePack.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>MainLanguagePack.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\SamplingExplorerLanguagePack.pl.resx" />
    <EmbeddedResource Include="Resources\Locals\SamplingExplorerLanguagePack.pt-BR.resx" />
    <EmbeddedResource Include="Resources\Locals\SamplingExplorerLanguagePack.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>SamplingExplorerLanguagePack.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\SamplingSettingsLanguagePack.fr-FR.resx" />
    <EmbeddedResource Include="Resources\Locals\SamplingSettingsLanguagePack.pl.resx" />
    <EmbeddedResource Include="Resources\Locals\SamplingSettingsLanguagePack.pt-BR.resx" />
    <EmbeddedResource Include="Resources\Locals\SamplingSettingsLanguagePack.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>SamplingSettingsLanguagePack.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Locals\WperfHostDataLanguagePack.fr-FR.resx" />
    <EmbeddedResource Include="Resources\Locals\WperfHostDataLanguagePack.pl.resx" />
    <EmbeddedResource Include="Resources\Locals\WperfHostDataLanguagePack.pt-BR.resx" />
    <EmbeddedResource Include="Resources\Locals\WperfHostDataLanguagePack.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>WperfHostDataLanguagePack.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(VSToolsPath)\VSSDK\Microsoft.VsSDK.targets" Condition="'$(VSToolsPath)' != ''" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>